<?php
/**
 * Frases para Porescribir
 *
 * Snippet by GenerateWP.com
 * Generated on February 9, 2018 16:04:57
 * @link https://generatewp.com/snippet/y55wbjq/
 */


// Register Custom Post Type
function frases_post_type() {

	$labels = array(
		'name'                  => _x( 'Frases', 'Post Type General Name', 'frases_domain' ),
		'singular_name'         => _x( 'Frases', 'Post Type Singular Name', 'frases_domain' ),
		'menu_name'             => __( 'Frases', 'frases_domain' ),
		'name_admin_bar'        => __( 'Frases', 'frases_domain' ),
		'archives'              => __( 'Archivo de Frases', 'frases_domain' ),
		'attributes'            => __( 'Atributos de Frases', 'frases_domain' ),
		'parent_item_colon'     => __( 'Frase padre:', 'frases_domain' ),
		'all_items'             => __( 'Todas', 'frases_domain' ),
		'add_new_item'          => __( 'Añadir Frase', 'frases_domain' ),
		'add_new'               => __( 'Añadir', 'frases_domain' ),
		'new_item'              => __( 'Nueva', 'frases_domain' ),
		'edit_item'             => __( 'Editar', 'frases_domain' ),
		'update_item'           => __( 'Actualizar', 'frases_domain' ),
		'view_item'             => __( 'Ver Frase', 'frases_domain' ),
		'view_items'            => __( 'Ver Frases', 'frases_domain' ),
		'search_items'          => __( 'Buscar Frase', 'frases_domain' ),
		'not_found'             => __( 'No encontrado', 'frases_domain' ),
		'not_found_in_trash'    => __( 'No encontrado en la papelera', 'frases_domain' ),
		'featured_image'        => __( 'Imagen destacada', 'frases_domain' ),
		'set_featured_image'    => __( 'Asignar imagen destacada', 'frases_domain' ),
		'remove_featured_image' => __( 'Eliminar imagen', 'frases_domain' ),
		'use_featured_image'    => __( 'Usar como imagen destacada', 'frases_domain' ),
		'insert_into_item'      => __( 'Insertar en frase', 'frases_domain' ),
		'uploaded_to_this_item' => __( 'Subir a frase', 'frases_domain' ),
		'items_list'            => __( 'Lista de Frases', 'frases_domain' ),
		'items_list_navigation' => __( 'Navegar por frases', 'frases_domain' ),
		'filter_items_list'     => __( 'Filtro de frases', 'frases_domain' ),
	);
	$rewrite = array(
		'slug'                  => 'frases',
		'with_front'            => true,
		'pages'                 => true,
		'feeds'                 => true,
	);
	$args = array(
		'label'                 => __( 'Frases', 'frases_domain' ),
		'description'           => __( 'Contenide de las Frases', 'frases_domain' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail', 'comments', 'trackbacks', 'revisions', 'custom-fields' ),
		'taxonomies'            => array( 'category', 'post_tag' ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'             => 'dashicons-editor-quote',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,
		'exclude_from_search'   => true,
		'publicly_queryable'    => true,
		'rewrite'               => $rewrite,
		'capability_type'       => 'page',
		'show_in_rest'          => true,
	);
	register_post_type( 'frases_post_type', $args );

}
add_action( 'init', 'frases_post_type', 0 );
